pcl::PlaneClipper3D< PointT > Class Template Reference
Module filters

Implementation of a plane clipper in 3D. More...

`#include <pcl/filters/plane_clipper3D.h>`

Inheritance diagram for pcl::PlaneClipper3D< PointT >:

## Public Types

using | Ptr = shared_ptr< PlaneClipper3D< PointT > >
using | ConstPtr = shared_ptr< const PlaneClipper3D< PointT > >
Public Types inherited from pcl::Clipper3D< PointT >
using | Ptr = shared_ptr< Clipper3D< PointT > >
using | ConstPtr = shared_ptr< const Clipper3D< PointT > >

## Public Member Functions

| PlaneClipper3D (const Eigen::Vector4f &plane_params)
| Constructor taking the homogeneous representation of the plane as a Eigen::Vector4f. More...
virtual | ~PlaneClipper3D () noexcept
void | setPlaneParameters (const Eigen::Vector4f &plane_params)
| Set new plane parameters. More...
const Eigen::Vector4f & | getPlaneParameters () const
| return the current plane parameters More...
virtual bool | clipPoint3D (const PointT &point) const
| interface to clip a single point More...
virtual bool | clipLineSegment3D (PointT &from, PointT &to) const
virtual void | clipPlanarPolygon3D (std::vector< PointT, Eigen::aligned_allocator< PointT > > &polygon) const
virtual void | clipPlanarPolygon3D (const std::vector< PointT, Eigen::aligned_allocator< PointT > > &polygon, std::vector< PointT, Eigen::aligned_allocator< PointT > > &clipped_polygon) const
virtual void | clipPointCloud3D (const pcl::PointCloud< PointT > &cloud_in, Indices &clipped, const Indices &indices=Indices()) const
| interface to clip a point cloud More...
virtual Clipper3D< PointT > * | clone () const
| polymorphic method to clone the underlying clipper with its parameters. More...
Public Member Functions inherited from pcl::Clipper3D< PointT >
virtual | ~Clipper3D () noexcept
| virtual destructor. More...

## Protected Member Functions

float | getDistance (const PointT &point) const

## Detailed Description

### template<typename PointT>
class pcl::PlaneClipper3D< PointT >

Implementation of a plane clipper in 3D.

Author
  Suat Gedikli gedik.nosp@m.li@w.nosp@m.illow.nosp@m.gara.nosp@m.ge.co.nosp@m.m

Definition at line 50 of file plane_clipper3D.h.

## Member Typedef Documentation

## ConstPtr

template<typename PointT >

using pcl::PlaneClipper3D< PointT >::ConstPtr = shared_ptr< const PlaneClipper3D<PointT> >

Definition at line 55 of file plane_clipper3D.h.

## Ptr

template<typename PointT >

using pcl::PlaneClipper3D< PointT >::Ptr = shared_ptr< PlaneClipper3D<PointT> >

Definition at line 54 of file plane_clipper3D.h.

## Constructor & Destructor Documentation

## PlaneClipper3D()

template<typename PointT >

pcl::PlaneClipper3D< PointT >::PlaneClipper3D | ( | const Eigen::Vector4f & | plane_params | ) |

Constructor taking the homogeneous representation of the plane as a Eigen::Vector4f.

Author
  Suat Gedikli gedik.nosp@m.li@w.nosp@m.illow.nosp@m.gara.nosp@m.ge.co.nosp@m.m

Parameters

  [in] | plane_params | plane parameters, need not necessarily be normalized

Definition at line 41 of file plane_clipper3D.hpp.

## ~PlaneClipper3D()

template<typename PointT >

pcl::PlaneClipper3D< PointT >::~PlaneClipper3D

virtual noexcept

Definition at line 47 of file plane_clipper3D.hpp.

## Member Function Documentation

## clipLineSegment3D()

template<typename PointT >

bool pcl::PlaneClipper3D< PointT >::clipLineSegment3D | ( | PointT & | point1,
|  | PointT & | point2
| ) |  | const

virtual

Attention
  untested code

Implements pcl::Clipper3D< PointT >.

Definition at line 85 of file plane_clipper3D.hpp.

## clipPlanarPolygon3D() [1/2]

template<typename PointT >

void pcl::PlaneClipper3D< PointT >::clipPlanarPolygon3D | ( | const std::vector< PointT, Eigen::aligned_allocator< PointT > > & | polygon,
|  | std::vector< PointT, Eigen::aligned_allocator< PointT > > & | clipped_polygon
| ) |  | const

virtual

Attention
  untested code

Implements pcl::Clipper3D< PointT >.

Definition at line 114 of file plane_clipper3D.hpp.

References pcl::geometry::distance().

## clipPlanarPolygon3D() [2/2]

template<typename PointT >

void pcl::PlaneClipper3D< PointT >::clipPlanarPolygon3D | ( | std::vector< PointT, Eigen::aligned_allocator< PointT > > & | polygon | ) | const

virtual

Attention
  untested code

Implements pcl::Clipper3D< PointT >.

Definition at line 171 of file plane_clipper3D.hpp.

## clipPoint3D()

template<typename PointT >

bool pcl::PlaneClipper3D< PointT >::clipPoint3D | ( | const PointT & | point | ) | const

virtual

interface to clip a single point

Parameters

  [in] | point | the point to check against

Returns
  true, it point still exists, false if its clipped

Implements pcl::Clipper3D< PointT >.

Definition at line 76 of file plane_clipper3D.hpp.

## clipPointCloud3D()

template<typename PointT >

void pcl::PlaneClipper3D< PointT >::clipPointCloud3D | ( | const pcl::PointCloud< PointT > & | cloud_in,
|  | Indices & | clipped,
|  | const Indices & | indices = `Indices()`
| ) |  | const

virtual

interface to clip a point cloud

Parameters

  [in] | cloud_in | input point cloud
  [out] | clipped | indices of points that remain after clipping the input cloud
  [in] | indices | the indices of points in the point cloud to be clipped.

Returns
  list of indices of remaining points after clipping.

Implements pcl::Clipper3D< PointT >.

Definition at line 180 of file plane_clipper3D.hpp.

References pcl::PointCloud< PointT >::size().

## clone()

template<typename PointT >

pcl::Clipper3D< PointT > * pcl::PlaneClipper3D< PointT >::clone | ( |  | ) | const

virtual

polymorphic method to clone the underlying clipper with its parameters.

Returns
  the new clipper object from the specific subclass with all its parameters.

Implements pcl::Clipper3D< PointT >.

Definition at line 64 of file plane_clipper3D.hpp.

## getDistance()

template<typename PointT >

float pcl::PlaneClipper3D< PointT >::getDistance | ( | const PointT & | point | ) | const

protected

Definition at line 70 of file plane_clipper3D.hpp.

## getPlaneParameters()

template<typename PointT >

const Eigen::Vector4f & pcl::PlaneClipper3D< PointT >::getPlaneParameters

return the current plane parameters

Returns
  the current plane parameters

Definition at line 58 of file plane_clipper3D.hpp.

## setPlaneParameters()

template<typename PointT >

void pcl::PlaneClipper3D< PointT >::setPlaneParameters | ( | const Eigen::Vector4f & | plane_params | ) |

Set new plane parameters.

Parameters

  plane_params |

Definition at line 52 of file plane_clipper3D.hpp.

The documentation for this class was generated from the following files:

- pcl/filters/plane_clipper3D.h
- pcl/filters/impl/plane_clipper3D.hpp